/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #6a00c8;
  --ifm-color-primary-dark: #29784c;
  --ifm-color-primary-darker: #277148;
  --ifm-color-primary-darkest: #205d3b;
  --ifm-color-primary-light: #33925d;
  --ifm-color-primary-lighter: #359962;
  --ifm-color-primary-lightest: #3cad6e;
  --ifm-code-font-size: 95%;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme='dark'] {
  --ifm-color-primary: #f07b6f;
  --ifm-color-primary-dark: #21af90;
  --ifm-color-primary-darker: #1fa588;
  --ifm-color-primary-darkest: #1a8870;
  --ifm-color-primary-light: #29d5b0;
  --ifm-color-primary-lighter: #32d8b4;
  --ifm-color-primary-lightest: #4fddbf;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}

[data-theme='dark'] .partie {
  background-color:#282828;
border-radius: 6px;
padding: 1em;
margin-left: 1em;
margin-bottom: 1em;
box-shadow: 5px 5px 5px 0px rgba(200,200,200,0.25);
}

[data-theme='light'] .partie {
  background-color: #f5f5f5;
border-radius: 6px;
padding: 1em;
margin-left: 1em;
margin-bottom: 1em;
box-shadow: 5px 5px 5px 0px rgba(20,20,20,0.25);
}


img[src*="#printscreen"] {

  border: 1px solid black;
  box-shadow: 5px 5px 5px grey;
}

iframe, object, embed {
  max-width: 100%;
  max-height: 100%;
}

img[src*="#droite"] {
  float: right;
}

img[src*="#gauche"] {
  float: left;
  margin-right: 10px;
}

img[src*="#abc"] {
  margin-right: 10px;
  vertical-align: text-bottom;
  border: 1px solid black;
  box-shadow: 5px 5px 5px grey;
  
}

img[src*="#icone"] {
  width: 16px;
}

p:has(img[src*="#centrer"]) {
  text-align: center;
}

iframe[src*="#centrer"] {
  display: block;
  margin: 0 auto;
}

iframe[src*="#printscreen"] {
  border: 1px solid black;
  box-shadow: 5px 5px 5px grey;

}

h6 {
  text-align: right;
}